> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Review record reading



## OpenAPI

````yaml /openapi.json post /front-desk/record-readings/{id}/review
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /front-desk/record-readings/{id}/review:
    post:
      tags:
        - front-desk
      summary: Review record reading
      operationId: front-desk.reviewRecordReading
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestId:
                  type: string
                item:
                  type: string
                action:
                  type: string
                  enum:
                    - merge-preview
                    - not-duplicate
                note:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
              required:
                - requestId
                - item
                - action
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  reading:
                    type: object
                    properties:
                      id:
                        anyOf:
                          - type: string
                          - type: 'null'
                      kind:
                        anyOf:
                          - type: string
                            enum:
                              - duplicate-review
                      subjectId:
                        type: string
                      version:
                        type: string
                      state:
                        type: string
                        enum:
                          - not_included
                          - 'off'
                          - not_requested
                          - pending
                          - ready
                          - unavailable
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            key:
                              type: string
                            targetId:
                              anyOf:
                                - type: string
                                - type: 'null'
                            title:
                              type: string
                            status:
                              type: string
                            note:
                              type: string
                            rank:
                              anyOf:
                                - anyOf:
                                    - type: number
                                    - type: string
                                      enum:
                                        - Infinity
                                        - '-Infinity'
                                        - NaN
                                - type: 'null'
                            quote:
                              anyOf:
                                - type: string
                                - type: 'null'
                            facts:
                              type: array
                              items:
                                type: string
                            dimensions:
                              type: array
                              items:
                                type: object
                                properties:
                                  label:
                                    type: string
                                  quote:
                                    type: string
                                  state:
                                    type: string
                                required:
                                  - label
                                  - quote
                                  - state
                                additionalProperties: false
                          required:
                            - key
                            - targetId
                            - title
                            - status
                            - note
                            - rank
                            - quote
                            - facts
                            - dimensions
                          additionalProperties: false
                      note:
                        anyOf:
                          - type: string
                          - type: 'null'
                      canRetry:
                        type: boolean
                      updatedAt:
                        anyOf:
                          - type: string
                          - type: 'null'
                      reviews:
                        type: array
                        items:
                          type: object
                          properties:
                            item:
                              type: string
                            action:
                              type: string
                            recordId:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - item
                            - action
                            - recordId
                          additionalProperties: false
                    required:
                      - id
                      - kind
                      - subjectId
                      - version
                      - state
                      - items
                      - note
                      - canRetry
                      - updatedAt
                      - reviews
                    additionalProperties: false
                  taskId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  preview:
                    anyOf:
                      - $ref: '#/components/schemas/MergePreviewRow'
                      - type: 'null'
                required:
                  - reading
                  - taskId
                  - preview
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | RecordReadingRefused |
            MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/RecordReadingRefusedEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    MergePreviewRow:
      type: object
      properties:
        survivor:
          type: object
          properties:
            id:
              type: string
            kind:
              type: string
            name:
              type: string
            email:
              anyOf:
                - type: string
                - type: 'null'
            mobile:
              anyOf:
                - type: string
                - type: 'null'
            addressPostcode:
              anyOf:
                - type: string
                - type: 'null'
            roles:
              type: array
              items:
                type: string
            archivedAt:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - id
            - kind
            - name
            - email
            - mobile
            - addressPostcode
            - roles
            - archivedAt
          additionalProperties: false
        absorbed:
          type: object
          properties:
            id:
              type: string
            kind:
              type: string
            name:
              type: string
            email:
              anyOf:
                - type: string
                - type: 'null'
            mobile:
              anyOf:
                - type: string
                - type: 'null'
            addressPostcode:
              anyOf:
                - type: string
                - type: 'null'
            roles:
              type: array
              items:
                type: string
            archivedAt:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - id
            - kind
            - name
            - email
            - mobile
            - addressPostcode
            - roles
            - archivedAt
          additionalProperties: false
        allowed:
          type: boolean
        refusals:
          type: array
          items:
            $ref: '#/components/schemas/MergeRefusalRow'
        warnings:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
              message:
                type: string
            required:
              - code
              - message
            additionalProperties: false
        fields:
          type: array
          items:
            type: object
            properties:
              field:
                type: string
              label:
                type: string
              survivor:
                anyOf:
                  - type: string
                  - type: 'null'
              absorbed:
                anyOf:
                  - type: string
                  - type: 'null'
              outcome:
                type: string
                enum:
                  - same
                  - kept
                  - filled
                  - conflict
            required:
              - field
              - label
              - survivor
              - absorbed
              - outcome
            additionalProperties: false
        roles:
          type: array
          items:
            type: string
        doNotContact:
          type: boolean
        preferenceChanges:
          type: array
          items:
            type: object
            properties:
              channel:
                type: string
              purpose:
                type: string
              from:
                type: string
              to:
                type: string
            required:
              - channel
              - purpose
              - from
              - to
            additionalProperties: false
        moves:
          type: array
          items:
            type: object
            properties:
              family:
                type: string
              label:
                type: string
              count:
                anyOf:
                  - type: number
                  - type: string
                    enum:
                      - Infinity
                      - '-Infinity'
                      - NaN
            required:
              - family
              - label
              - count
            additionalProperties: false
        history:
          type: array
          items:
            type: object
            properties:
              family:
                type: string
              label:
                type: string
              count:
                anyOf:
                  - type: number
                  - type: string
                    enum:
                      - Infinity
                      - '-Infinity'
                      - NaN
            required:
              - family
              - label
              - count
            additionalProperties: false
        previewToken:
          type: string
      required:
        - survivor
        - absorbed
        - allowed
        - refusals
        - warnings
        - fields
        - roles
        - doNotContact
        - preferenceChanges
        - moves
        - history
        - previewToken
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    RecordReadingRefusedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RecordReadingRefused
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    MergeRefusalRow:
      type: object
      properties:
        code:
          type: string
          enum:
            - same_record
            - not_a_person
            - retired
            - archived
            - company_conflict
            - shared_tenancy
            - money_history
            - key_custody
            - contractor_access
            - landlord_portal
            - tenant_portal
            - contractor_register
            - open_offers
            - open_quote_requests
            - open_repair_jobs
            - open_checks
            - applicant_household
            - two_active_buyers
            - shared_progression
            - open_application
            - owner_groups
            - repair_authority
            - property_setup
            - property_access
        message:
          type: string
      required:
        - code
        - message
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.